import request from '@/utils/request'
// import qs from 'qs'

export function taskList (data) {
  return request({
    url: '/api-task/task/list',
    method: 'get',
    params: data
  })
}

export function resume (data) {
  return request({
    url: '/api-task/task/resume/' + data.taskId,
    method: 'post',
  })
}

export function execute (data) {
  return request({
    url: '/api-task/task/execute/' + data.taskId,
    method: 'post',
  })
}

export function pause (data) {
  return request({
    url: '/api-task/task/pause/' + data.taskId,
    method: 'post',
  })
}